there are few nicest guys in competitive programming community or in general programming community like William Fiset from google who loves to share their knowledge. No doubt Errichto is one of them with clear understanding and full control on programming. Keep up.
good question was asked at @32:26 and nice answer "looking for third and fourth elements in quadraple". This helps to simplify implementation and can be applied to other questions as well like dynamic programming questions.
Just curious if anyone was looking for nlogn solution using fenwick tree. since we are looking for number of elements which are less than b on left hand side and greater than b on right hand side, we just need to maintain two fenwick trees one for left side view and one for right side view. Using sweep line we can maintain both dynamically and calculate answer.
In the four sum problem wouldn't the count of pairs with distinct positions be wrong if there are duplicates for example for this input 8 15 3 2 3 2 8 1 3 2 ans is 12.
i see p5 and when i hear graph i stop the video bcoz i dont know a single algorithm about graph ,i see the video again after learning and practicing graph,i dont know dp either ,so sad
there are few nicest guys in competitive programming community or in general programming community like William Fiset from google who loves to share their knowledge. No doubt Errichto is one of them with clear understanding and full control on programming. Keep up.
good question was asked at @32:26 and nice answer "looking for third and fourth elements in quadraple". This helps to simplify implementation and can be applied to other questions as well like dynamic programming questions.
Nice session, will love to see more in the future!!
Learnt something new. Nice...!!
Just curious if anyone was looking for nlogn solution using fenwick tree. since we are looking for number of elements which are less than b on left hand side and greater than b on right hand side, we just need to maintain two fenwick trees one for left side view and one for right side view. Using sweep line we can maintain both dynamically and calculate answer.
Its my observation that in most of the problems which asks about 3 indices Meet in the middle works
Great session ... Looking for more in future.
vector over sets really worked. Thanks
33:40 bro said skill issue 😭
thanks for the nice lecture
Can you please do stack and queues algorithms?? If you have already done some stream or problems about it, somebody plz share the video title. Thanks
In the four sum problem wouldn't the count of pairs with distinct positions be wrong if there are duplicates
for example for this input
8 15
3 2 3 2 8 1 3 2
ans is 12.
Arigato senpai (◕ᴗ◕✿)
cool
i see p5 and when i hear graph i stop the video bcoz i dont know a single algorithm about graph ,i see the video again after learning and practicing graph,i dont know dp either ,so sad
you just need خنجرين